Bug 864028 - fence_na does not support action=metadata via stdin
fence_na does not support action=metadata via stdin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fence-agents (Show other bugs)
rawhide
Unspecified Unspecified
high Severity urgent
: ---
: ---
Assigned To: Marek Grac
Fedora Extras Quality Assurance
: Reopened
Depends On: 837174 864030
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 07:54 EDT by Marek Grac
Modified: 2013-03-11 11:32 EDT (History)
7 users (show)

See Also:
Fixed In Version: fence-agents-4.0.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 837174
Environment:
Last Closed: 2013-03-11 11:32:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (3.49 KB, patch)
2012-10-18 05:37 EDT, Marek Grac
mgrac: review?
Details | Diff

  None (edit)
Comment 1 Marek Grac 2012-10-18 05:37:35 EDT
Created attachment 629272 [details]
Proposed patch

Basic support for XML metadata output, so corosync can identify and use this fence device.
Comment 2 Andrew Beekhof 2012-10-18 23:52:02 EDT
Patch looks pretty sane to me.
Comment 4 Jan Pokorný 2013-03-04 09:16:27 EST
Unfortunately the applied patch suffers from several mistakes.
Not knowing about this upstream fix (haven't followed master branch as
there were quite massive changes but rather RHEL6), I proposed my own
version on the list [1] that also (as I can now see) also not ideal
(e.g., I missed "port"), so cannot recomment following it.
However, now better educated, I can recommend considering following
mistakes for correction:

1/ fence_na has no default action
2/ fence_na has "quiet" parameter
3/ fence_na has no "help" paramater
4/ fence_na provides also these actions:
   - boot{,_all}
   - fence_all
   - forcedown_all
   - release{,_all}
   - shutdown{,all}
5/ "getopt" metadata annotation does not make sense


[1] http://www.redhat.com/archives/cluster-devel/2013-February/msg00075.html
Comment 5 Jan Pokorný 2013-03-04 09:22:16 EST
([1] was proposed together with following patch to drop static
non-generated part of cluster schema, which is now, also thanks to
fence_na metadata support, reasonable change to do)
Comment 6 Marek Grac 2013-03-11 11:32:07 EDT
partially fixed metadata output.

fence_na is no longer part of fence-agents in fedora/rawhide

Note You need to log in before you can comment on or make changes to this bug.